Skip to main content
The Event Summary object defines (temporary) charges for a single Subscription Item and related information about the Item to which these charges refer. It is used to get a list of unbilled Event Summaries according to a rate plan.

Attributes

Supported Calls

GET https://api.vindicia.com/event_summaries - Retrieves a list of EventSummary objects.

Fetch a List of Event Summaries

GET https://api.vindicia.com/event_summaries?billed=0

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Event Summaries, starting after the specified starting_after Event (or ending before the specified ending_before Event) or as part of the start and end date range. Each entry in the array is a full Event Summary object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Event Summaries objects matching the query. Also:
  • “total_count”: Integer count of the number of Event Summary objects in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Event object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Event object (string to select the “previous”); included id should match that of the first object returned here

Example Response

Parent topic:Resources